{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% set tooltipAttr = 'data-tooltip' %}

<th class="sortable {{ options.class ? options.class : "" }}">

    {% if options[tooltipAttr] is defined %}
        <span class="pull-right">
            <span title="{{ options.title ? options.title : title }}" data-tooltip="{{ options[tooltipAttr] }}" class="_tooltip fa fa-question-circle-o text-muted">&nbsp;</span>
        </span>
        <a{% for attr, value in options %}
            {% if attr != tooltipAttr and attr != 'title' %}
                {{ attr }}="{{ value }}"
            {% endif %}
        {% endfor %}
        >{{ title }}</a>

    {% else %}
        <a{% for attr, value in options %} {{ attr }}="{{ value }}"{% endfor %}>{{ title }}</a>

    {% endif %}
</th>